Bug 71099 - false dependency on gtk-1.2
false dependency on gtk-1.2
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: ethereal (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-08 14:45 EDT by Need Real Name
Modified: 2015-03-04 20:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-29 10:42:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-08 14:45:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020606

Description of problem:
Ethereal package has dependency on gtk-1.2 even though the GUI interface is now
in ethereal-gnome. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Attempt to install package on machine without gtk-1.2

Actual Results:  Fails due to missing dependencies.

Expected Results:  Should have installed.

Additional info:
Comment 1 Need Real Name 2002-08-08 15:14:27 EDT
Didn't think to mention that since it *is* a requirement for a successful build
of the packages, there should be a BuildRequires: gtk+-devel >= 1.2.
Comment 2 Need Real Name 2002-08-08 15:40:45 EDT
The dependency on usermode also needlessly ties this RPM to X11.
Comment 3 Need Real Name 2002-08-09 10:42:21 EDT
The build also fails because it depends on a function present in the updated
ucd-snmp package:

  configure: error: UCD SNMP header files found, but sprint_realloc_objid not 
  found in SNMP library.

So as far as I can tell, this package needs to remove:

  Requires:      gtk+ >= 1.2
  Requires:      usermode >= 1.37
  Requires:      ucd-snmp
  BuildRequires: openssl-devel

And add:

  Requires:      ucd-snmp >= 4.2.5
  BuildRequires: openssl-devel >= 4.2.5
  BuildRequires: gtk+-devel >= 1.2

Since the ethereal-gnome package already requires gnome-core, which require
gtk+, it probably isn't necessary to put in an explicit dependency.  But I could
be wrong.
Comment 4 Phil Knirsch 2002-08-13 08:04:24 EDT
Will be handled in the next upcoming ethereal errata for 7.x and 6.2

Read ya, Phil
Comment 5 Mark J. Cox (Product Security) 2002-08-29 10:42:01 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-169.html

Note You need to log in before you can comment on or make changes to this bug.